> For the complete documentation index, see [llms.txt](https://docs.panther.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.panther.com/ko/pantherflow/functions/aggregation.md).

# 집계 함수

{% hint style="info" %}
PantherFlow는 Panther 버전 1.110부터 오픈 베타로 제공되며, 모든 고객이 사용할 수 있습니다. 버그 보고와 기능 요청은 Panther 지원팀에 공유해 주세요.
{% endhint %}

## 개요

집계 함수를 사용하는 추가 예시 보기 [요약 연산자](/ko/pantherflow/operators/summarize.md).

## `agg.avg()`

`agg.avg(column: any) -> float`

집계의 값 평균을 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.avg(receivedBytes) by ip_address
```

## `agg.count()`

`agg.count([column: any]) -> int`

집계의 값 개수를 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.count() by ip_address
```

## `agg.count_distinct()`

`agg.count_distinct(column: any) -> int`

집계의 고유 값 개수를 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.count_distinct(targetStatusCode) by ip_address
```

## `agg.make_set()`

`agg.make_set(column: any) -> any`

열의 고유 값 집합을 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.make_set(targetStatusCode) by ip_address
```

## `agg.max()`

`agg.max(column: any) -> float`

집계의 최대값을 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.max(receivedBytes) by ip_address
```

## `agg.min()`

`agg.min(column: any) -> float`

집계의 최소값을 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.min(receivedBytes) by ip_address
```

## `agg.percentile_cont()`

`agg.percentile_cont(column: [any], percentile: number) -> float`

주어진 `백분위수` 값이 0.0과 1.0 사이일 때, 입력 `열` 의 값을 행의 연속 분포를 기준으로 반환합니다. 입력 행이 원하는 백분위수와 정확히 일치하지 않으면, 결과는 가장 가까운 두 입력 값의 선형 보간을 사용해 계산됩니다. 그룹에 값이 하나만 있으면, 지정한 백분위수와 관계없이 그 값이 반환됩니다(예: 백분위수 0.0과 1.0 모두 그 한 행을 반환함).

**예:**

```kusto
datatable [
{"bytes": 0, "group": "a"},
{"bytes": 500, "group": "a"},
{"bytes": 1000, "group": "a"},
{"bytes": 0, "group": "b"},
{"bytes": 5, "group": "b"},
{"bytes": 10, "group": "b"}
]
| summarize p50=agg.percentile_cont(bytes, 0.50),
p75=agg.percentile_cont(bytes, 0.75),
p99=agg.percentile_cont(bytes, 0.99) by group
```

## `agg.stddev()`

`agg.stddev(column: [number]) -> float`

널이 아닌 값의 표본 표준편차(표본 분산의 제곱근)를 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.stddev(receivedBytes) by ip_address
```

## `agg.sum()`

`agg.sum(column: [any]) -> float`

집계의 값 합계를 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.sum(receivedBytes) by ip_address
```

## `agg.take_any()`

`agg.take_any(column: [any]) -> any`

집계에서 임의의 값을 반환합니다.

**예:**

```kusto
panther_logs.public.aws_alb
| summarize agg.take_any(targetGroupArn) by ip_address
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/functions/aggregation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
